Permalink
Browse files

Move define to allow Qt5 deprecated methods to ./configure.

  • Loading branch information...
1 parent 4070458 commit 380cc4e4b0bd67656763933d2b70f93bf82ec635 @daniel-kristjansson daniel-kristjansson committed with jyavenard Mar 1, 2013
Showing with 1 addition and 5 deletions.
  1. +1 −1 mythtv/configure
  2. +0 −4 mythtv/settings.pro
View
@@ -4384,7 +4384,7 @@ if ! is_qmake5 $qmake ; then
die "Qt4.8 or newer is required to build MythTV."
fi
else
- check_cxxflags -DHAVE_QT5
+ check_cxxflags -DQT_DISABLE_DEPRECATED_BEFORE
fi
if test x"$qmakespecs" != x; then
View
@@ -171,7 +171,3 @@ EXTRA_LIBS += -L$$SRC_PATH_BARE/external/nzmqt/src -lmythnzmqt
EXTRA_LIBS += -L$$SRC_PATH_BARE/external/qjson/lib -lmythqjson
macx:using_firewire:using_backend:EXTRA_LIBS += -F$${CONFIG_MAC_AVC} -framework AVCVideoServices
-
-contains(QT_VERSION, ^5\\.[0-9]\\..*) {
-DEFINES += QT_DISABLE_DEPRECATED_BEFORE
-}

0 comments on commit 380cc4e

Please sign in to comment.